%global _disable_ld_no_undefined 1

%global srcname fast_yaml

%global p1_utils_ver 1.0.25

Name: erlang-%{srcname}
Version: 1.0.33
Release: %mkrel 1

Group:   Development/Erlang

License: ASL 2.0
Summary: An Erlang wrapper for libyaml "C" library
URL:     https://github.com/processone/fast_yaml/
Source0: https://github.com/processone/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_yaml = %{version}-%{release}
Obsoletes: erlang-p1_yaml < 1.0.2

BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: pkgconfig(yaml-0.1)


%description
P1 YAML is an Erlang wrapper for libyaml "C" library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Wed Aug 03 2022 neoclust <neoclust> 1.0.33-1.mga9
+ Revision: 1874732
- New version 1.0.33

* Sat Mar 19 2022 umeabot <umeabot> 1.0.32-2.mga9
+ Revision: 1799642
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.32-1.mga9
+ Revision: 1772666
- New version 1.0.32

* Sun Dec 20 2020 neoclust <neoclust> 1.0.29-1.mga8
+ Revision: 1661958
- New version 1.0.29

* Sun Dec 20 2020 wally <wally> 1.0.27-1.mga8
+ Revision: 1661687
- new version 1.0.27

* Wed Feb 12 2020 umeabot <umeabot> 1.0.15-3.mga8
+ Revision: 1511434
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 wally <wally> 1.0.15-2.mga7
+ Revision: 1294074
- rebuild for aarch64

* Thu Sep 20 2018 wally <wally> 1.0.15-1.mga7
+ Revision: 1288695
- new version 1.0.15 (sync with Fedora)

* Thu Nov 17 2016 neoclust <neoclust> 1.0.6-1.mga6
+ Revision: 1067982
- imported package erlang-fast_yaml

